## ros-noetic-turtlebot3-autorace-2020 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(turtlebot3_autorace_2020)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-turtlebot3-autorace-2020 (1.1.1-2buster) buster; urgency=high

  * Modified opencv packages (#6)
  * Contributors: Ashe Kim, Will Son

 -- Ashe Kim <ashekim@robotis.com>  Mon, 01 Nov 2021 15:00:00 -0000

ros-noetic-turtlebot3-autorace-2020 (1.1.0-2buster) buster; urgency=high

  * Noetic package release
  * Contributors: Ashe Kim, Will Son

 -- Ashe Kim <ashekim@robotis.com>  Thu, 27 May 2021 15:00:00 -0000

ros-noetic-turtlebot3-autorace-2020 (1.0.0-2buster) buster; urgency=high

  * package separation for each mission
  * updated with 2020 TurtleBot3 Autorace
  * Contributors: Ashe Kim

 -- Ashe Kim <ashekim@robotis.com>  Mon, 02 Mar 2020 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-turtlebot3-autorace-2020
Section: misc
Priority: optional
Maintainer: Ashe Kim <ashekim@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://wiki.ros.org/turtlebot3_autorace
Standards-Version: 3.9.2

Package: ros-noetic-turtlebot3-autorace-2020
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-turtlebot3-autorace-camera, ros-noetic-turtlebot3-autorace-core, ros-noetic-turtlebot3-autorace-detect, ros-noetic-turtlebot3-autorace-driving, ros-noetic-turtlebot3-autorace-msgs
Description: TurtleBot3 AutoRace 2020 ROS 1 packages (meta package)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-turtlebot3-autorace-2020//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
